Summary:        Read a preset list of files into memory
Name:           readahead
Version:        1.4.2
Release:        3%{?dist}
Epoch:          1
Group:          System Environment/Base
License:        GPLv2+
Source0:        readahead-%{version}.tar.bz2
Source1:        default.early
Source2:        default.later
URL:            https://hosted.fedoraproject.org/projects/readahead
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/chkconfig, /sbin/service
Requires(preun):  /sbin/chkconfig, /sbin/service
Requires:       procps /bin/gawk
BuildRequires:  e2fsprogs-devel
BuildRequires:  audit-libs-devel

Patch1: readahead-1.4.2-cleanup-ld.patch
Patch2: readahead-1.4.2-null-name.patch

%description
readahead reads the contents of a list of files into memory,
which causes them to be read from cache when they are actually
needed. Its goal is to speed up the boot process.

%prep
%setup -q
cp -f -t ./lists/ %{SOURCE1}
cp -f -t ./lists/ %{SOURCE2}

%patch1 -p1
%patch2 -p1

%build
%configure --sbindir=/sbin
make %{?_smp_mflags}
make rpm-lists-rebuild RPM_LIB="%{_lib}" RPM_ARCH="%{_arch}" FILES="default.early default.later"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%preun
if [ "$1" = "0" ] ; then
 /sbin/service readahead_later stop >/dev/null 2>&1
 /sbin/chkconfig --del readahead_later
 /sbin/service readahead_early stop >/dev/null 2>&1
 /sbin/chkconfig --del readahead_early
fi

%post
/sbin/chkconfig --add readahead_later
/sbin/chkconfig --add readahead_early

%files -f %{name}.lang
%defattr(-,root,root,- )
%doc COPYING README lists/README.lists
%{_sysconfdir}/cron.daily/readahead.cron
%{_sysconfdir}/rc.d/init.d/readahead_later
%{_sysconfdir}/rc.d/init.d/readahead_early
%config(noreplace) %{_sysconfdir}/readahead.conf
%dir %{_sysconfdir}/readahead.d
%{_sysconfdir}/readahead.d/default.early
%{_sysconfdir}/readahead.d/default.later
%{_sbindir}/readahead
/sbin/readahead-collector

%changelog
* Wed Oct 17 2007 Karel Zak <kzak@redhat.com> 1:1.4.2-3
- update default lists
- fix #327041 - readahead --sort generates file with "(null)"
- fix #326891 - readahead-collector doesn't collect binaries

* Wed Oct  3 2007 Karel Zak <kzak@redhat.com> 1:1.4.2-2
- cleanup specfile (based on fedora merge review - #226360)

* Mon Oct  1 2007 Karel Zak <kzak@redhat.com> 1:1.4.2-1
- upgrade to 1.4.2 (includes bug fixes only)
   - auparse requires as a record separator (#253226)
   - fix e-mail setting in Makevars  (#308271)
   - remove debug message (#237302)
   - improve init scripts  (#247044, #243685)
   - add pl.po

* Fri Apr 20 2007 Jeremy Katz <katzj@redhat.com> - 1:1.4.1-2
- don't be so noisy (#237302)

* Thu Apr 12 2007 Karel Zak <kzak@redhat.com> - 1:1.4.1-1
- upgrade to new upstream version 1.4.1
- generate new lists

* Tue Feb 27 2007 Karel Zak <kzak@redhat.com> - 1:1.4-1
- upgrade to new upstream version
- cleanup spec file

* Fri Feb  2 2007 Karel Zak <kzak@redhat.com> - 1:1.3-7
- rebuild (update file lists)

* Tue Jan 16 2007 Karel Zak <kzak@redhat.com> - 1:1.3-6
- update file lists (215503)

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 1:1.3-5
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Fri Sep 22 2006 Karel Zak <kzak@redhat.com> 1:1.3-4
- fix #207631 - clean up package build system and use tarball instead
                separated source files

* Fri Sep 22 2006 Karel Zak <kzak@redhat.com> 1:1.3-3
- fix #207631 - readahead has no debuginfo

* Mon Jul 20 2006 Karel Zak <kzak@redhat.com> 1:1.3-1
- move lists of files to /etc/readahead.d
- add readahead-check to docs
- ignore duplicate files

* Wed Jul 19 2006 Jesse Keating <jkeating@redhat.com> - 1:1.2-3
- fix release for upgrade path (by removing cvs generated release)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:1.2-1.26
- rebuild

* Thu Mar 16 2006 Karel Zak <kzak@redhat.com>
- update versions in *.in lists

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:1.2-1.24.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:1.2-1.23.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 13 2006 Karel Zak <kzak@redhat.com>
- check & cleanup list of files by readahead-gen script

* Wed Dec 21 2005 Karel Zak <kzak@redhat.com>
- removed double slashes in the directory names
- removed or fixed the rest of X11R6 directories

* Mon Dec 19 2005 Karel Zak <kzak@redhat.com>
- sync versioned gcc, firefox, openoffice.org, evolution dirs with FC5

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Aug  4 2005 Dave Jones <davej@redhat.com>
- Integrated changes from Ville Skytta (#164872)
  - Fix inverted logic in readahead_early also.
  - readahead_early looks useful in more runlevels than just 5.
  - Sync versioned gcc, firefox and openoffice.org dirs with FC4 updates.

* Tue Aug  2 2005 Dave Jones <davej@redhat.com>
- Fix inverted free memory test in startup script. (#164872)

* Wed May 18 2005 Bill Nottingham <notting@redhat.com>
- new readahead.c from Ziga Mahkovec <ziga.mahkovec@klika.si>
  - optimizes read access for more throughput
- regenerate file lists (#128444)
- fix lack of newlines (#146744)
- fix lists so that they are architecture-neutral
- move check for > 384MB into the init scripts, not the %%post

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Thu Feb 10 2005 Dave Jones <davej@redhat.com>
- Remove non-existent files from file lists.

* Fri Jan 14 2005 Dave Jones <davej@redhat.com>
- Don't do readahead if we have less than 256MB of memory.

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils.

